Page MenuHomePhabricator

Meet with Recruiting for innitiation meeting
Closed, ResolvedPublic

Description

  • Fill out the form provided by Recruiting with all the details.
  • Once the form is filled out, schedule the call with Recruiting.

Event Timeline

leila triaged this task as High priority.Aug 2 2019, 7:11 PM
leila created this task.
leila updated the task description. (Show Details)Aug 6 2019, 12:57 AM

The meeting request is sent to Sarah Roth.

leila moved this task from Staged to In Progress on the Research board.Aug 6 2019, 12:57 AM
leila added a comment.Aug 7 2019, 11:20 PM

Done. The job will be posted on 2019-08-08.

leila closed this task as Resolved.Thu, Aug 22, 3:19 PM